@echo off
setlocal EnableDelayedExpansion

:: Ensure administrative rights
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"
if '%errorlevel%' NEQ '0' (
    echo Requesting administrative privileges...
    powershell Start-Process '%0' -Verb RunAs
    exit /b
)

:: Set PowerShell Execution Policy
powershell -Command "Set-ExecutionPolicy RemoteSigned -Force" >nul 2>&1

:: List of apps to remove
set "AppsToRemove=Microsoft.549981C3F5F10 Microsoft.3DBuilder Microsoft.Appconnector Microsoft.BingFinance Microsoft.BingNews Microsoft.BingSports Microsoft.BingTranslator Microsoft.BingWeather Microsoft.FreshPaint Microsoft.GamingServices Microsoft.MicrosoftOfficeHub Microsoft.MicrosoftPowerBIForWindows Microsoft.MicrosoftSolitaireCollection Microsoft.MicrosoftStickyNotes Microsoft.MinecraftUWP Microsoft.NetworkSpeedTest Microsoft.Office.OneNote Microsoft.People Microsoft.Print3D Microsoft.SkypeApp Microsoft.Wallet Microsoft.Windows.Photos Microsoft.WindowsAlarms Microsoft.WindowsCalculator Microsoft.WindowsCamera microsoft.windowscommunicationsapps Microsoft.WindowsMaps Microsoft.WindowsPhone Microsoft.WindowsSoundRecorder Microsoft.Xbox.TCUI Microsoft.XboxApp Microsoft.XboxGameOverlay Microsoft.XboxSpeechToTextOverlay Microsoft.YourPhone Microsoft.ZuneMusic Microsoft.ZuneVideo Microsoft.CommsPhone Microsoft.ConnectivityStore Microsoft.GetHelp Microsoft.Getstarted Microsoft.Messaging Microsoft.Office.Sway Microsoft.OneConnect Microsoft.WindowsFeedbackHub Microsoft.Microsoft3DViewer Microsoft.MSPaint Microsoft.BingFoodAndDrink Microsoft.BingHealthAndFitness Microsoft.BingTravel Microsoft.WindowsReadingList Microsoft.MixedReality.Portal Microsoft.ScreenSketch Microsoft.XboxGamingOverlay 2FE3CB00.PicsArt-PhotoStudio 46928bounde.EclipseManager 4DF9E0F8.Netflix 613EBCEA.PolarrPhotoEditorAcademicEdition 6Wunderkinders.Wunderlist 7EE7776C.LinkedInforWindows 89006A2E.AutodeskSketchBook 9E2F88E3.Twitter A278AB0D.DisneyMagicKingdoms A278AB0D.MarchofEmpires ActiproSoftwareLLC.562882FEEB491 CAF9E577.Plex ClearChannelRadioDigital.iHeartRadio D52A8D61.FarmVille2CountryEscape D5EA27B7.Duolingo-LearnLanguagesforFree DB6EA5DB.CyberLinkMediaSuiteEssentials DolbyLaboratories.DolbyAccess Drawboard.DrawboardPDF Facebook.Facebook Fitbit.FitbitCoach Flipboard.Flipboard GAMELOFTSA.Asphalt8Airborne KeeperSecurityInc.Keeper NORDCURRENT.COOKINGFEVER PandoraMediaInc.29680B314EFC2 Playtika.CaesarsSlotsFreeCasino ShazamEntertainmentLtd.Shazam SlingTVLLC.SlingTV SpotifyAB.SpotifyMusic TheNewYorkTimes.NYTCrossword ThumbmunkeysLtd.PhototasticCollage TuneIn.TuneInRadio WinZipComputing.WinZipUniversal XINGAG.XING flaregamesGmbH.RoyalRevolt2 A025C540.Yandex.Music"

:: Close Explorer to reduce potential locks
taskkill /f /im explorer.exe >nul 2>&1

:: Remove apps with multiple methods
echo Removing unnecessary apps...
for %%A in (%AppsToRemove%) do (
    echo Removing %%A...
    
    :: Method 1: Standard removal
    powershell -Command "Get-AppxPackage '%%A' | Remove-AppxPackage" >nul 2>&1
    
    :: Method 2: Removal with AllUsers
    powershell -Command "Get-AppxPackage '%%A' -AllUsers | Remove-AppxPackage -AllUsers" >nul 2>&1
    
    :: Method 3: Provisioned Package Removal
    powershell -Command "Get-AppxProvisionedPackage -Online | Where-Object { $_.PackageName -like '*%%A*' } | Remove-AppxProvisionedPackage -Online" >nul 2>&1
)

:: Restart Explorer
start explorer.exe

echo App removal completed.
pause
